#! /bin/sh
filename=/proc/stb/info/model
filename_xres=/proc/stb/lcd/xres
filename_framecount=/etc/grautec/framecount
filename_resolutionMax=/etc/grautec/resolutionMax
orglcdpy=/usr/lib/enigma2/python/Components/Lcd.py
backuplcdpy=/etc/grautec/other/LcdBackup.py
FRAMECOUNT=1
BOXNAME=$(cat $filename)
XRES=$(cat $filename_xres)
OLEDINT=/dev/dbox/oledint


start-stop-daemon --stop --name usbdisplay --quiet
kill -9 $(pidof -s usbleds)
kill -15 $(pidof -s usbleds)

rm -f /tmp/usbdisp
rm -f /tmp/usbleds


#bei dm500hd 
mkdir -p /dev/dbox



#nur bei dm500hd
if [ "$BOXNAME" = "dm500hd" ]
    then 
    if [ -e $orglcdpy ];
			then
			cp $orglcdpy $backuplcdpy
		fi
   	rm -f /usr/lib/enigma2/python/Components/Lcd.py
		rm -f /usr/lib/enigma2/python/Components/Lcd.pyo
		cp /etc/grautec/other/Lcd.py /usr/lib/enigma2/python/Components
fi



#dm8000
if [ "$BOXNAME" = "dm8000" ]
    then 
    rm -f /dev/dbox/oledint 
    mv /dev/dbox/oled0 /dev/dbox/oledint
    sleep 1
fi

#dm7020hd
if [ "$BOXNAME" = "dm7020hd" ]
    then 
    rm -f /dev/dbox/oledint 
    mv /dev/dbox/oled0 /dev/dbox/oledint
    sleep 1
fi

#dm800se
if [ "$BOXNAME" = "dm800se" ]
    then 
    if [ -e $OLEDINT ]
	    then
	    rm -f /dev/dbox/oled0 
    else
	    #rm -f /dev/dbox/oledint 
	    mv /dev/dbox/oled0 /dev/dbox/oledint
	    sleep 1
    fi
    
    #framecount
    rm -f /
    
    #dm800se Auflsung einstellen
    if [ -e $filename_resolutionMax ]
    	then
			if [ "$XRES" = "00000060" ]
	    	then 
	    	insmod /etc/grautec/dm800se/usboled_dm800se.ko
			fi
		fi
		
		#einschaltverzoegerung in frames
		if [ -e $filename_framecount ]
	    then
	    rm -f $filename_framecount 
    	echo $FRAMECOUNT >> $filename_framecount
    fi
fi

#start display daemon
/usr/bin/usbdisplay
ln -s /tmp/usbdisp /dev/dbox/oled0

#start LED control
mkfifo /tmp/usbleds
/usr/bin/usbleds&

